<?php
/**
 * PromoCodeApplyStatusEnumTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\MarketingClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Marketing.
 *
 * Маркетинг
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\MarketingClient;

use PHPUnit\Framework\TestCase;

/**
 * PromoCodeApplyStatusEnumTest Class Doc Comment
 *
 * @category    Class
 * @description Статусы применения промокода:   * &#x60;success&#x60; - Успех   * &#x60;not_found&#x60; - Промокода нет в системе   * &#x60;not_active&#x60; - Промокод не активен: исчерпан лимит, не соответствует срок действия   * &#x60;not_applied&#x60; - Промокод не удалось применить: отсутствуют подходящие товары в корзине
 * @package     Ensi\MarketingClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class PromoCodeApplyStatusEnumTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "PromoCodeApplyStatusEnum"
     */
    public function testPromoCodeApplyStatusEnum()
    {
    }
}
